# Uses of Enum
com.fasterxml.jackson.annotation.JsonFormat.Shape

## Uses of JsonFormat.Shape in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return JsonFormat.Shape
Modifier and Type
Method
Description
`JsonFormat.Shape`
JsonFormat.Value.`getShape()`
`static JsonFormat.Shape`
JsonFormat.Shape.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonFormat.Shape[]`
JsonFormat.Shape.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.annotation with parameters of type JsonFormat.Shape
Modifier and Type
Method
Description
`static JsonFormat.Value`
JsonFormat.Value.`forShape(JsonFormat.Shape sh)`
`JsonFormat.Value`
JsonFormat.Value.`withShape(JsonFormat.Shape s)`
Constructors in com.fasterxml.jackson.annotation with parameters of type JsonFormat.Shape
Modifier
Constructor
Description
``
`Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, String localeStr, String tzStr, JsonFormat.Features f, Boolean lenient)`
``
`Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, Locale l, String tzStr, TimeZone tz, JsonFormat.Features f, Boolean lenient)`
``
`Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f)`
Deprecated.
``
`Value(String p, JsonFormat.Shape sh, Locale l, TimeZone tz, JsonFormat.Features f, Boolean lenient)`